Diagnostics - List Site Analyses Slot
Beskrivning för Hämta webbplatsanalyser
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/slots/{slot}/diagnostics/{diagnosticCategory}/analyses?api-version=2025-05-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
diagnostic
|
path | True |
string |
Diagnostisk kategori |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Namnet på resursgruppen. Namnet är skiftlägesokänsligt. |
|
site
|
path | True |
string |
Webbplatsnamn |
|
slot
|
path | True |
string |
Fack - valfritt |
|
subscription
|
path | True |
string (uuid) |
ID för målprenumerationen. Värdet måste vara ett UUID. |
|
api-version
|
query | True |
string minLength: 1 |
Den API-version som ska användas för den här åtgärden. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Azure-åtgärden har slutförts. |
|
| Other Status Codes |
Ett oväntat felsvar. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
| List App Analyses |
| List App Slot Analyses |
List App Analyses
Exempelbegäran
Exempelsvar
{
"value": [
{
"name": "appanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/appanalysis",
"properties": {
"description": "Determine causes of availability loss as well as solutions for these problems"
}
},
{
"name": "apprestartanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/apprestartanalyses",
"properties": {
"description": "Find the reasons that your app restarted"
}
},
{
"name": "memoryanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/memoryanalysis",
"properties": {
"description": "Detect issues with memory as well as suggest ways to troubleshoot memory problems"
}
},
{
"name": "tcpconnectionsanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/tcpconnectionsanalysis",
"properties": {
"description": "Analyze port usage and find out if a high number of connections is causing problems for your web app"
}
},
{
"name": "perfanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/perfanalysis",
"properties": {
"description": "Determine causes of performance degredation as well as solutions for these problems"
}
}
]
}
List App Slot Analyses
Exempelbegäran
Exempelsvar
{
"value": [
{
"name": "appanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/appanalysis",
"properties": {
"description": "Determine causes of availability loss as well as solutions for these problems"
}
},
{
"name": "apprestartanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/apprestartanalyses",
"properties": {
"description": "Find the reasons that your app restarted"
}
},
{
"name": "memoryanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/memoryanalysis",
"properties": {
"description": "Detect issues with memory as well as suggest ways to troubleshoot memory problems"
}
},
{
"name": "tcpconnectionsanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/tcpconnectionsanalysis",
"properties": {
"description": "Analyze port usage and find out if a high number of connections is causing problems for your web app"
}
},
{
"name": "perfanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/perfanalysis",
"properties": {
"description": "Determine causes of performance degredation as well as solutions for these problems"
}
}
]
}
Definitioner
| Name | Description |
|---|---|
|
Analysis |
Definition av analys |
|
created |
Den typ av identitet som skapade resursen. |
|
Default |
App Service-felsvar. |
|
Default |
Felmodell. |
|
Default |
Detaljerade fel. |
|
Diagnostic |
Insamling av diagnostiska analyser |
|
system |
Metadata som rör skapande och senaste ändring av resursen. |
AnalysisDefinition
Definition av analys
| Name | Typ | Description |
|---|---|---|
| id |
string (arm-id) |
Fullständigt kvalificerat resurs-ID för resursen. Till exempel "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
string |
Typ av resurs. |
| name |
string |
Namnet på resursen |
| properties.description |
string |
Beskrivning av analysen |
| systemData |
Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information. |
|
| type |
string |
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts" |
createdByType
Den typ av identitet som skapade resursen.
| Värde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DefaultErrorResponse
App Service-felsvar.
| Name | Typ | Description |
|---|---|---|
| error |
Felmodell. |
DefaultErrorResponseError
Felmodell.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Standardiserad sträng för att programmatiskt identifiera felet. |
| details |
Detaljerade fel. |
|
| innererror |
string |
Mer information för att felsöka fel. |
| message |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
| target |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
DefaultErrorResponseErrorDetailsItem
Detaljerade fel.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Standardiserad sträng för att programmatiskt identifiera felet. |
| message |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
| target |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
DiagnosticAnalysisCollection
Insamling av diagnostiska analyser
| Name | Typ | Description |
|---|---|---|
| nextLink |
string (uri) |
Länken till nästa sida med objekt |
| value |
AnalysisDefinition-punkterna på denna sida |
systemData
Metadata som rör skapande och senaste ändring av resursen.
| Name | Typ | Description |
|---|---|---|
| createdAt |
string (date-time) |
Tidsstämpeln för resursskapande (UTC). |
| createdBy |
string |
Identiteten som skapade resursen. |
| createdByType |
Den typ av identitet som skapade resursen. |
|
| lastModifiedAt |
string (date-time) |
Tidsstämpeln för resursens senaste ändring (UTC) |
| lastModifiedBy |
string |
Identiteten som senast ändrade resursen. |
| lastModifiedByType |
Den typ av identitet som senast ändrade resursen. |